GNU bug report logs - #5331
Term mode doesn't set tty erase

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Scott Bell <sctb@HIDDEN>; merged with #24964; dated Wed, 6 Jan 2010 23:57:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 5331 24964. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 5331 <at> debbugs.gnu.org:


Received: (at 5331) by debbugs.gnu.org; 4 Aug 2016 01:50:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 03 21:50:45 2016
Received: from localhost ([127.0.0.1]:55057 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bV7o5-0000QW-Lj
	for submit <at> debbugs.gnu.org; Wed, 03 Aug 2016 21:50:45 -0400
Received: from mail-qk0-f170.google.com ([209.85.220.170]:36820)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ahyatt@HIDDEN>) id 1bV7o2-0000QH-U2
 for 5331 <at> debbugs.gnu.org; Wed, 03 Aug 2016 21:50:44 -0400
Received: by mail-qk0-f170.google.com with SMTP id v123so87276177qkh.3
 for <5331 <at> debbugs.gnu.org>; Wed, 03 Aug 2016 18:50:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=VT0LGD0MBFIyxlYy+92Gh/XUULyQmC/9R142/N647wk=;
 b=sKTIx5enbhJ2WWKxPmeYiGbCNSrwrzEAaW4+6rqx2OvcX/U5PiVMBMr5+gme7i7J3j
 GBzIhu38ztbytKzhPDXOdu4HVnKBBg7+tEmcUgKTTuouJnwubNHTsD/naA1ay/0SF2sF
 K+1lCi190Lp3nYGWaeoWI9xo8MCIdoGaEzCNxvAdF8SwSjXRWpdkRyw/lKiYjQAt/VQa
 FjfU1Kz78MytTcdlUrQrQKpJqcBeL8inGs/LgrS8roOz2Tdk64A7pzazoxtlGyX3PaNO
 6Z9THjMD9Q83I/Gup0DRJIKC328rYEsP0KeDvDvrUQ7RIMFrpYc6tATSikd9nTiwgQmu
 opng==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=VT0LGD0MBFIyxlYy+92Gh/XUULyQmC/9R142/N647wk=;
 b=kXWuzsjXUGF3M82F3anTpw5pynTaCwMoyAU7BE1LtwkYDdgEsrK7dTyL54mRTZGsDi
 vhCGQOd+ssX8IB3Ol0PtErJlIhXQdfOOPQekoZ5zoCHW9PLJ1/0OICPz76pNQlLT6ZDu
 qNb5OwBQFIwo3uxzGqAwfnlwEvIa42WUo+aLR0glzJMwlfnG6fuTen6OqwHsRgMGYlyh
 dHaoCUOicSqGnY0YYU+WEdxb5k9cp7CzuJgP6fUR2gCgQ3JHRDqoEOXu3Oc/JMvXxNsH
 mWPvsTZ5dBOJ4EVkkN1a5hDniZvaaOWQ0OSOBnWS1RI2tk5hIg0NN5fq1qGH/ZF0xeqg
 rTEg==
X-Gm-Message-State: AEkoouuL7owJElgKtU2EJRBXUYp62E/DYwlD/QXJXb/aYxQMXjFoleLY5oqDoIvl1lQdGw==
X-Received: by 10.55.217.134 with SMTP id q6mr3701819qkl.271.1470275437083;
 Wed, 03 Aug 2016 18:50:37 -0700 (PDT)
Received: from Andrews-MacBook-Pro.local.ahyatt-laptop
 (cpe-74-73-128-199.nyc.res.rr.com. [74.73.128.199])
 by smtp.gmail.com with ESMTPSA id j62sm5686358qtd.37.2016.08.03.18.50.35
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 03 Aug 2016 18:50:35 -0700 (PDT)
From: Andrew Hyatt <ahyatt@HIDDEN>
To: Scott Bell <sctb@HIDDEN>
Subject: Re: bug#5331: Term mode doesn't set tty erase
References: <2E5E576A-1165-4754-9C47-0CFDAAED4977@HIDDEN>
 <201001070827.o078RbDP002615@HIDDEN>
 <460078AB-C49F-4C5C-96FE-7724132F4739@HIDDEN>
 <201001072135.o07LZKBJ001202@HIDDEN>
 <6CE7E79E-7064-4D14-8946-44B568EC8C16@HIDDEN>
 <201001081909.o08J9EC3017862@HIDDEN>
 <F7E6D22C-7C8C-4286-AD22-D4AF393B01C5@HIDDEN>
Date: Wed, 03 Aug 2016 21:50:36 -0400
In-Reply-To: <F7E6D22C-7C8C-4286-AD22-D4AF393B01C5@HIDDEN> (Scott Bell's
 message of "Fri, 08 Jan 2010 12:23:12 -0700")
Message-ID: <m2k2fxe1zn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 5331
Cc: 5331 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Scott Bell <sctb@HIDDEN> writes:

> On 2010-01-08, at 12:09 PM, Dan Nicolaescu wrote:
>
>> Scott Bell <sctb@HIDDEN> writes:
>> 
>>> On 2010-01-07, at 2:35 PM, Dan Nicolaescu wrote:
>>> 
>>>> Scott Bell <sctb@HIDDEN> writes:
>>>> 
>>>>> On 2010-01-07, at 1:27 AM, Dan Nicolaescu wrote:
>>>> 
>>>> term.el does not do anything special for tcsh, so because it works
>>>> there, it's probably a problem in the initialization of the other
>>>> shells, not in term.el.
>>> 
>>> I agree. It seems like a shame that Mac OS relies on
>>> the default emulator (Terminal.app) to perform this
>>> initialization.
>> 
>> Not sure what you mean...
>> It's probably due to buggy initialization for those shells, or because
>> they get confused about TERM value used by term.el: eterm-color.
>
> Terminal.app has to be doing something, because I've tried
> setting term-term-name to 'xterm-color', which is the same
> TERM used by Terminal.app. So it seems like buggy shell
> initialization which Terminal.app is overriding somehow.

This bug reproduces on Emacs 25.1.50.1. I also tried running emacs via
iTerm2 and it had the same issue.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5331; Package emacs. Full text available.

Message received at 5331 <at> debbugs.gnu.org:


Received: (at 5331) by debbugs.gnu.org; 8 Jan 2010 19:23:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 08 14:23:37 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NTKQq-0005r7-IS
	for submit <at> debbugs.gnu.org; Fri, 08 Jan 2010 14:23:36 -0500
Received: from asmtpout023.mac.com ([17.148.16.98])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <sctb@HIDDEN>) id 1NTKQo-0005r0-Ci
	for 5331 <at> debbugs.gnu.org; Fri, 08 Jan 2010 14:23:34 -0500
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain; charset=us-ascii
Received: from [192.168.1.101] ([70.72.209.234])
	by asmtp023.mac.com (Sun Java(tm) System Messaging Server 6.3-8.01
	(built Dec
	16 2008; 32bit)) with ESMTPSA id <0KVY000HW0ION450@HIDDEN> for
	5331 <at> debbugs.gnu.org; Fri, 08 Jan 2010 11:23:13 -0800 (PST)
Subject: Re: bug#5331: Term mode doesn't set tty erase
From: Scott Bell <sctb@HIDDEN>
In-reply-to: <201001081909.o08J9EC3017862@HIDDEN>
Date: Fri, 08 Jan 2010 12:23:12 -0700
Message-id: <F7E6D22C-7C8C-4286-AD22-D4AF393B01C5@HIDDEN>
References: <2E5E576A-1165-4754-9C47-0CFDAAED4977@HIDDEN>
	<201001070827.o078RbDP002615@HIDDEN>
	<460078AB-C49F-4C5C-96FE-7724132F4739@HIDDEN>
	<201001072135.o07LZKBJ001202@HIDDEN>
	<6CE7E79E-7064-4D14-8946-44B568EC8C16@HIDDEN>
	<201001081909.o08J9EC3017862@HIDDEN>
To: 5331 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.1077)
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 5331
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

On 2010-01-08, at 12:09 PM, Dan Nicolaescu wrote:

> Scott Bell <sctb@HIDDEN> writes:
> 
>> On 2010-01-07, at 2:35 PM, Dan Nicolaescu wrote:
>> 
>>> Scott Bell <sctb@HIDDEN> writes:
>>> 
>>>> On 2010-01-07, at 1:27 AM, Dan Nicolaescu wrote:
>>> 
>>> term.el does not do anything special for tcsh, so because it works
>>> there, it's probably a problem in the initialization of the other
>>> shells, not in term.el.
>> 
>> I agree. It seems like a shame that Mac OS relies on
>> the default emulator (Terminal.app) to perform this
>> initialization.
> 
> Not sure what you mean...
> It's probably due to buggy initialization for those shells, or because
> they get confused about TERM value used by term.el: eterm-color.

Terminal.app has to be doing something, because I've tried
setting term-term-name to 'xterm-color', which is the same
TERM used by Terminal.app. So it seems like buggy shell
initialization which Terminal.app is overriding somehow.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5331; Package emacs,ns. Full text available.

Message received at 5331 <at> debbugs.gnu.org:


Received: (at 5331) by debbugs.gnu.org; 8 Jan 2010 19:09:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 08 14:09:27 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NTKD8-0005dK-TO
	for submit <at> debbugs.gnu.org; Fri, 08 Jan 2010 14:09:27 -0500
Received: from colin-baker-v0.ics.uci.edu ([128.195.1.153])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dann@HIDDEN>) id 1NTKD6-0005dF-N3
	for 5331 <at> debbugs.gnu.org; Fri, 08 Jan 2010 14:09:25 -0500
Received: from godzilla.ics.uci.edu (godzilla.ics.uci.edu [128.195.10.101])
	by colin-baker-v0.ics.uci.edu (8.13.8/8.13.8) with ESMTP id
	o08J9EdB000672
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Fri, 8 Jan 2010 11:09:14 -0800
Received: (from dann@localhost)
	by godzilla.ics.uci.edu (8.13.8+Sun/8.13.6/Submit) id o08J9EC3017862;
	Fri, 8 Jan 2010 11:09:14 -0800 (PST)
Date: Fri, 8 Jan 2010 11:09:14 -0800 (PST)
Message-Id: <201001081909.o08J9EC3017862@HIDDEN>
From: Dan Nicolaescu <dann@HIDDEN>
To: Scott Bell <sctb@HIDDEN>
Subject: Re: bug#5331: Term mode doesn't set tty erase
References: <2E5E576A-1165-4754-9C47-0CFDAAED4977@HIDDEN>
	<201001070827.o078RbDP002615@HIDDEN>
	<460078AB-C49F-4C5C-96FE-7724132F4739@HIDDEN>
	<201001072135.o07LZKBJ001202@HIDDEN>
	<6CE7E79E-7064-4D14-8946-44B568EC8C16@HIDDEN>
X-Debbugs-No-Ack: yes
In-Reply-To: <6CE7E79E-7064-4D14-8946-44B568EC8C16@HIDDEN> (Scott Bell's
	message of "Fri, 08 Jan 2010 10:06:54 -0700")
Lines: 45
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-ICS-MailScanner-Information: Please send mail to helpdesk@HIDDEN or
	more information
X-ICS-MailScanner-ID: o08J9EdB000672
X-ICS-MailScanner: Found to be clean
X-ICS-MailScanner-SpamCheck: not spam, SpamAssassin (not cached, score=-1.44, 
	required 5, autolearn=disabled, ALL_TRUSTED -1.44)
X-ICS-MailScanner-From: dann@HIDDEN
X-Spam-Status: No
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 5331
Cc: 5331 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.5 (--)

Scott Bell <sctb@HIDDEN> writes:

  > On 2010-01-07, at 2:35 PM, Dan Nicolaescu wrote:
  > 
  > > Scott Bell <sctb@HIDDEN> writes:
  > > 
  > >> On 2010-01-07, at 1:27 AM, Dan Nicolaescu wrote:
  > >> 
  > >>> Scott Bell <sctb@HIDDEN> writes:
  > >>> 
  > >>>> ...
  > >>>> 
  > >>>> It seems like the least surprising thing would be to define
  > >>>> erase to ^? so that most programs will behave as expected 
  > >>>> when the DEL key is typed.
  > >>> 
  > >>> I can't reproduce this on GNU/Linux and Solaris.
  > >>> This is probably a Mac OS X problem which not too many people here have
  > >>> access to...
  > >>> Do you get the same results with /bin/tcsh?
  > >> 
  > >> It looks like tcsh is the only one where erase
  > >> is defined:
  > >> 
  > >> bash: <undef>
  > >> zsh: <undef>
  > >> tcsh: ^?
  > >> ksh: <undef>
  > >> 
  > >> When these shells are launched using Terminal.app
  > >> (the terminal emulator that ships with Mac OS), erase
  > >> is always bound to ^?.
  > > 
  > > term.el does not do anything special for tcsh, so because it works
  > > there, it's probably a problem in the initialization of the other
  > > shells, not in term.el.
  > 
  > I agree. It seems like a shame that Mac OS relies on
  > the default emulator (Terminal.app) to perform this
  > initialization.

Not sure what you mean...
It's probably due to buggy initialization for those shells, or because
they get confused about TERM value used by term.el: eterm-color.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5331; Package emacs,ns. Full text available.

Message received at 5331 <at> debbugs.gnu.org:


Received: (at 5331) by debbugs.gnu.org; 8 Jan 2010 17:07:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 08 12:07:09 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NTIIn-0004fg-DY
	for submit <at> debbugs.gnu.org; Fri, 08 Jan 2010 12:07:09 -0500
Received: from asmtpout030.mac.com ([17.148.16.105])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <sctb@HIDDEN>) id 1NTIIl-0004fb-Pq
	for 5331 <at> debbugs.gnu.org; Fri, 08 Jan 2010 12:07:08 -0500
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain; charset=us-ascii
Received: from [192.168.1.101] ([70.72.209.234])
	by asmtp030.mac.com (Sun Java(tm) System Messaging Server 6.3-8.01
	(built Dec
	16 2008; 32bit)) with ESMTPSA id <0KVX00807U7MTB70@HIDDEN> for
	5331 <at> debbugs.gnu.org; Fri, 08 Jan 2010 09:06:59 -0800 (PST)
Subject: Re: bug#5331: Term mode doesn't set tty erase
From: Scott Bell <sctb@HIDDEN>
In-reply-to: <201001072135.o07LZKBJ001202@HIDDEN>
Date: Fri, 08 Jan 2010 10:06:54 -0700
Message-id: <6CE7E79E-7064-4D14-8946-44B568EC8C16@HIDDEN>
References: <2E5E576A-1165-4754-9C47-0CFDAAED4977@HIDDEN>
	<201001070827.o078RbDP002615@HIDDEN>
	<460078AB-C49F-4C5C-96FE-7724132F4739@HIDDEN>
	<201001072135.o07LZKBJ001202@HIDDEN>
To: 5331 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.1077)
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 5331
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.3 (----)


On 2010-01-07, at 2:35 PM, Dan Nicolaescu wrote:

> Scott Bell <sctb@HIDDEN> writes:
> 
>> On 2010-01-07, at 1:27 AM, Dan Nicolaescu wrote:
>> 
>>> Scott Bell <sctb@HIDDEN> writes:
>>> 
>>>> ...
>>>> 
>>>> It seems like the least surprising thing would be to define
>>>> erase to ^? so that most programs will behave as expected 
>>>> when the DEL key is typed.
>>> 
>>> I can't reproduce this on GNU/Linux and Solaris.
>>> This is probably a Mac OS X problem which not too many people here have
>>> access to...
>>> Do you get the same results with /bin/tcsh?
>> 
>> It looks like tcsh is the only one where erase
>> is defined:
>> 
>> bash: <undef>
>> zsh: <undef>
>> tcsh: ^?
>> ksh: <undef>
>> 
>> When these shells are launched using Terminal.app
>> (the terminal emulator that ships with Mac OS), erase
>> is always bound to ^?.
> 
> term.el does not do anything special for tcsh, so because it works
> there, it's probably a problem in the initialization of the other
> shells, not in term.el.

I agree. It seems like a shame that Mac OS relies on
the default emulator (Terminal.app) to perform this
initialization.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5331; Package emacs,ns. Full text available.
bug reassigned from package 'emacs' to 'emacs,ns'. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 5331 <at> debbugs.gnu.org:


Received: (at 5331) by debbugs.gnu.org; 7 Jan 2010 21:35:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 07 16:35:33 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NT00z-0002C5-B7
	for submit <at> debbugs.gnu.org; Thu, 07 Jan 2010 16:35:33 -0500
Received: from colin-baker-v0.ics.uci.edu ([128.195.1.153])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dann@HIDDEN>) id 1NT00w-0002Bz-Km
	for 5331 <at> debbugs.gnu.org; Thu, 07 Jan 2010 16:35:31 -0500
Received: from godzilla.ics.uci.edu (godzilla.ics.uci.edu [128.195.10.101])
	by colin-baker-v0.ics.uci.edu (8.13.8/8.13.8) with ESMTP id
	o07LZLHV011672
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Thu, 7 Jan 2010 13:35:21 -0800
Received: (from dann@localhost)
	by godzilla.ics.uci.edu (8.13.8+Sun/8.13.6/Submit) id o07LZKBJ001202;
	Thu, 7 Jan 2010 13:35:20 -0800 (PST)
Date: Thu, 7 Jan 2010 13:35:20 -0800 (PST)
Message-Id: <201001072135.o07LZKBJ001202@HIDDEN>
From: Dan Nicolaescu <dann@HIDDEN>
To: Scott Bell <sctb@HIDDEN>
Subject: Re: bug#5331: Term mode doesn't set tty erase
References: <2E5E576A-1165-4754-9C47-0CFDAAED4977@HIDDEN>
	<201001070827.o078RbDP002615@HIDDEN>
	<460078AB-C49F-4C5C-96FE-7724132F4739@HIDDEN>
X-Debbugs-No-Ack: yes
In-Reply-To: <460078AB-C49F-4C5C-96FE-7724132F4739@HIDDEN> (Scott Bell's
	message of "Thu, 07 Jan 2010 09:14:29 -0700")
Lines: 32
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-ICS-MailScanner-Information: Please send mail to helpdesk@HIDDEN or
	more information
X-ICS-MailScanner-ID: o07LZLHV011672
X-ICS-MailScanner: Found to be clean
X-ICS-MailScanner-SpamCheck: not spam, SpamAssassin (not cached, score=-1.44, 
	required 5, autolearn=disabled, ALL_TRUSTED -1.44)
X-ICS-MailScanner-From: dann@HIDDEN
X-Spam-Status: No
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 5331
Cc: 5331 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.5 (--)

Scott Bell <sctb@HIDDEN> writes:

  > On 2010-01-07, at 1:27 AM, Dan Nicolaescu wrote:
  > 
  > > Scott Bell <sctb@HIDDEN> writes:
  > > 
  > >> ...
  > >> 
  > >> It seems like the least surprising thing would be to define
  > >> erase to ^? so that most programs will behave as expected 
  > >> when the DEL key is typed.
  > > 
  > > I can't reproduce this on GNU/Linux and Solaris.
  > > This is probably a Mac OS X problem which not too many people here have
  > > access to...
  > > Do you get the same results with /bin/tcsh?
  > 
  > It looks like tcsh is the only one where erase
  > is defined:
  > 
  > bash: <undef>
  > zsh: <undef>
  > tcsh: ^?
  > ksh: <undef>
  > 
  > When these shells are launched using Terminal.app
  > (the terminal emulator that ships with Mac OS), erase
  > is always bound to ^?.

term.el does not do anything special for tcsh, so because it works
there, it's probably a problem in the initialization of the other
shells, not in term.el.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5331; Package emacs. Full text available.

Message received at 5331 <at> debbugs.gnu.org:


Received: (at 5331) by debbugs.gnu.org; 7 Jan 2010 16:14:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 07 11:14:50 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NSv0b-0007pG-SH
	for submit <at> debbugs.gnu.org; Thu, 07 Jan 2010 11:14:50 -0500
Received: from asmtpout025.mac.com ([17.148.16.100])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <sctb@HIDDEN>) id 1NSv0Z-0007pA-GA
	for 5331 <at> debbugs.gnu.org; Thu, 07 Jan 2010 11:14:48 -0500
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain; charset=us-ascii
Received: from [192.168.1.101] ([70.72.209.234])
	by asmtp025.mac.com (Sun Java(tm) System Messaging Server 6.3-8.01
	(built Dec
	16 2008; 32bit)) with ESMTPSA id <0KVV00IETX456O70@HIDDEN> for
	5331 <at> debbugs.gnu.org; Thu, 07 Jan 2010 08:14:31 -0800 (PST)
Subject: Re: bug#5331: Term mode doesn't set tty erase
From: Scott Bell <sctb@HIDDEN>
In-reply-to: <201001070827.o078RbDP002615@HIDDEN>
Date: Thu, 07 Jan 2010 09:14:29 -0700
Message-id: <460078AB-C49F-4C5C-96FE-7724132F4739@HIDDEN>
References: <2E5E576A-1165-4754-9C47-0CFDAAED4977@HIDDEN>
	<201001070827.o078RbDP002615@HIDDEN>
To: 5331 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.1077)
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: 5331
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.6 (----)

On 2010-01-07, at 1:27 AM, Dan Nicolaescu wrote:

> Scott Bell <sctb@HIDDEN> writes:
> 
>> ...
>> 
>> It seems like the least surprising thing would be to define
>> erase to ^? so that most programs will behave as expected 
>> when the DEL key is typed.
> 
> I can't reproduce this on GNU/Linux and Solaris.
> This is probably a Mac OS X problem which not too many people here have
> access to...
> Do you get the same results with /bin/tcsh?

It looks like tcsh is the only one where erase
is defined:

bash: <undef>
zsh: <undef>
tcsh: ^?
ksh: <undef>

When these shells are launched using Terminal.app
(the terminal emulator that ships with Mac OS), erase
is always bound to ^?.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5331; Package emacs. Full text available.

Message received at 5331 <at> debbugs.gnu.org:


Received: (at 5331) by debbugs.gnu.org; 7 Jan 2010 08:27:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 07 03:27:49 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NSnif-00041a-1x
	for submit <at> debbugs.gnu.org; Thu, 07 Jan 2010 03:27:49 -0500
Received: from colin-baker-v0.ics.uci.edu ([128.195.1.153])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dann@HIDDEN>) id 1NSnic-00041R-FL
	for 5331 <at> debbugs.gnu.org; Thu, 07 Jan 2010 03:27:47 -0500
Received: from godzilla.ics.uci.edu (godzilla.ics.uci.edu [128.195.10.101])
	by colin-baker-v0.ics.uci.edu (8.13.8/8.13.8) with ESMTP id
	o078RbdW026694
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Thu, 7 Jan 2010 00:27:37 -0800
Received: (from dann@localhost)
	by godzilla.ics.uci.edu (8.13.8+Sun/8.13.6/Submit) id o078RbDP002615;
	Thu, 7 Jan 2010 00:27:37 -0800 (PST)
Date: Thu, 7 Jan 2010 00:27:37 -0800 (PST)
Message-Id: <201001070827.o078RbDP002615@HIDDEN>
From: Dan Nicolaescu <dann@HIDDEN>
To: Scott Bell <sctb@HIDDEN>
Subject: Re: bug#5331: Term mode doesn't set tty erase
References: <2E5E576A-1165-4754-9C47-0CFDAAED4977@HIDDEN>
X-Debbugs-No-Ack: yes
In-Reply-To: <2E5E576A-1165-4754-9C47-0CFDAAED4977@HIDDEN> (Scott Bell's
	message of "Wed, 06 Jan 2010 16:54:28 -0700")
Lines: 28
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-ICS-MailScanner-Information: Please send mail to helpdesk@HIDDEN or
	more information
X-ICS-MailScanner-ID: o078RbdW026694
X-ICS-MailScanner: Found to be clean
X-ICS-MailScanner-SpamCheck: not spam, SpamAssassin (not cached,
	score=-1.209, required 5, autolearn=disabled, ALL_TRUSTED -1.44,
	TW_DM 0.08, TW_MR 0.08, TW_XT 0.08)
X-ICS-MailScanner-From: dann@HIDDEN
X-Spam-Status: No
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 5331
Cc: 5331 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.5 (--)

Scott Bell <sctb@HIDDEN> writes:

  > Under Mac OS X 10.6.2, Emacs 23.1.90.1, in an M-x term buffer
  > running /bin/bash, `stty -a' reports the following:
  > 
  > speed 9600 baud; 33 rows; 90 columns;
  > lflags: icanon isig iexten echo echoe -echok echoke -echonl echoctl
  >         -echoprt -altwerase -noflsh -tostop -flusho pendin -nokerninfo
  >         -extproc
  > iflags: -istrip icrnl -inlcr -igncr ixon -ixoff ixany imaxbel -iutf8
  >         -ignbrk brkint -inpck -ignpar -parmrk
  > oflags: opost onlcr -oxtabs -onocr -onlret
  > cflags: cread cs8 -parenb -parodd hupcl -clocal -cstopb -crtscts -dsrflow
  >         -dtrflow -mdmbuf
  > cchars: discard = ^O; dsusp = ^Y; eof = ^D; eol = <undef>;
  >         eol2 = <undef>; erase = <undef>; intr = ^C; kill = <undef>;
  >         lnext = ^V; min = 1; quit = ^\; reprint = ^R; start = ^Q;
  >         status = ^T; stop = ^S; susp = ^Z; time = 0; werase = ^W;
  > 
  > It seems like the least surprising thing would be to define
  > erase to ^? so that most programs will behave as expected 
  > when the DEL key is typed.

I can't reproduce this on GNU/Linux and Solaris.
This is probably a Mac OS X problem which not too many people here have
access to...
Do you get the same results with /bin/tcsh?





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5331; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Jan 2010 23:56:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 06 18:56:59 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NSfkI-0006vJ-Rn
	for submit <at> debbugs.gnu.org; Wed, 06 Jan 2010 18:56:59 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <sctb@HIDDEN>) id 1NSfiE-0006sA-TZ
	for submit <at> debbugs.gnu.org; Wed, 06 Jan 2010 18:54:51 -0500
Received: from mx10.gnu.org ([199.232.76.166]:46198)
	by fencepost.gnu.org with esmtp (Exim 4.69)
	(envelope-from <sctb@HIDDEN>) id 1NSfiB-0006E1-5p
	for submit <at> debbugs.gnu.org; Wed, 06 Jan 2010 18:54:47 -0500
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim
	4.60) (envelope-from <sctb@HIDDEN>) id 1NSfi9-0006ou-Rm
	for submit <at> debbugs.gnu.org; Wed, 06 Jan 2010 18:54:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.1.0 (2005-09-13) on monty-python
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,UNPARSEABLE_RELAY 
	autolearn=ham version=3.1.0
Received: from lists.gnu.org ([199.232.76.165]:60074)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <sctb@HIDDEN>) id 1NSfi9-0006oY-06
	for submit <at> debbugs.gnu.org; Wed, 06 Jan 2010 18:54:45 -0500
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1NSfi8-00032k-8J
	for bug-gnu-emacs@HIDDEN; Wed, 06 Jan 2010 18:54:44 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1NSfi3-00030C-Na
	for bug-gnu-emacs@HIDDEN; Wed, 06 Jan 2010 18:54:43 -0500
Received: from [199.232.76.173] (port=47048 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1NSfi3-000305-F6
	for bug-gnu-emacs@HIDDEN; Wed, 06 Jan 2010 18:54:39 -0500
Received: from asmtpout028.mac.com ([17.148.16.103]:39098)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <sctb@HIDDEN>) id 1NSfi2-0006le-PJ
	for bug-gnu-emacs@HIDDEN; Wed, 06 Jan 2010 18:54:39 -0500
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain; charset=us-ascii
Received: from [192.168.1.101] ([70.72.209.234])
	by asmtp028.mac.com (Sun Java(tm) System Messaging Server 6.3-8.01
	(built Dec
	16 2008; 32bit)) with ESMTPSA id <0KVU00E9SNQSRU90@HIDDEN> for
	bug-gnu-emacs@HIDDEN; Wed, 06 Jan 2010 15:54:29 -0800 (PST)
From: Scott Bell <sctb@HIDDEN>
Subject: Term mode doesn't set tty erase
Date: Wed, 06 Jan 2010 16:54:28 -0700
Message-id: <2E5E576A-1165-4754-9C47-0CFDAAED4977@HIDDEN>
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.1077)
X-detected-operating-system: by monty-python.gnu.org: Solaris 10 (1203?)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 06 Jan 2010 18:56:56 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.0 (------)

Under Mac OS X 10.6.2, Emacs 23.1.90.1, in an M-x term buffer
running /bin/bash, `stty -a' reports the following:

speed 9600 baud; 33 rows; 90 columns;
lflags: icanon isig iexten echo echoe -echok echoke -echonl echoctl
        -echoprt -altwerase -noflsh -tostop -flusho pendin -nokerninfo
        -extproc
iflags: -istrip icrnl -inlcr -igncr ixon -ixoff ixany imaxbel -iutf8
        -ignbrk brkint -inpck -ignpar -parmrk
oflags: opost onlcr -oxtabs -onocr -onlret
cflags: cread cs8 -parenb -parodd hupcl -clocal -cstopb -crtscts -dsrflow
        -dtrflow -mdmbuf
cchars: discard = ^O; dsusp = ^Y; eof = ^D; eol = <undef>;
        eol2 = <undef>; erase = <undef>; intr = ^C; kill = <undef>;
        lnext = ^V; min = 1; quit = ^\; reprint = ^R; start = ^Q;
        status = ^T; stop = ^S; susp = ^Z; time = 0; werase = ^W;

It seems like the least surprising thing would be to define
erase to ^? so that most programs will behave as expected 
when the DEL key is typed.





Acknowledgement sent to Scott Bell <sctb@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5331; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 18 Dec 2016 11:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.